Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 16578)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 16579)
@@ -1823,43 +1494,38 @@
         });
 
-      } 
-    // jQuery(Parent + " p:not(:contains(' ')) ").remove();
-    // jQuery(Parent + " p:(:contains('')) ").remove();
-      
-      jQuery("#llgbo").trigger("ON");
-      llgboframe = infos_llgbo;
-
-    marges_llgbo = 0;
-
-    if (llgboframe.height > 0) {
-      marges_llgbo = llgboframe.borderwidth.left * 2;
-
-    }
-
-      Bandeau_t = infos_entete(Parent);
-
-    Bandeau = Bandeau_t.img_top;
-    infos_theImgContainer = jQuery("#" + "theImgContainer").infos();
-    infos_description = jQuery("#" + "description").infos();
-    //=============================================================================
-    //   jQuery(Parent + " p").css({ padding: "0px", margin: "0px "    });
-    if (theme.match(RegExp("simple", "gi"))) {
-        jQuery(Parent).css({ padding: "0px",
-            marginLeft: "0px",
-            marginRight: "auto",
-            marginTop: "0px",
-            marginBottom: "0px"
+      }
+      //================ LLGBO ======================
+      marges_llgbo = 0;
+      if (jQuery("#llgbo").length > 0) {
+        jQuery("#llgbo").trigger("ON");
+        if (infos_llgbo.height > 0) {
+          marges_llgbo = infos_llgbo.borderwidth.left * 2;
+        }
+      }
+
+      Bandeau_t = infos_entete();
+      Bandeau = Bandeau_t.img_top;
+      infos_theImgContainer = jQuery("#" + "theImgContainer").infos();
+      infos_description = jQuery("#" + "description").infos();
+      //=============================================================================
+      //   jQuery("#theImage" + " p").css({ padding: "0px", margin: "0px "    });
+      if (theme.match(RegExp("simple", "gi"))) {
+        jQuery("#theImage").css({ padding: "0px",
+          marginLeft: "0px",
+          marginRight: "auto",
+          marginTop: "0px",
+          marginBottom: "0px"
 
         });
-    }
-
-
-    if (theme.match(RegExp("luciano", "g"))) {
+      }
+
+
+      if (theme.match(RegExp("luciano", "g"))) {
         jQuery("#imageContainer").css({ height: "auto" });
-        The_MainImage = jQuery(Parent + " #theImg img");
-        infos_img = jQuery(The_MainImage).infos();
-
-
-    } else if (Type_Img == "map") {
+        theMainImage_obj = "#theImage" + " #theImg img";
+        infos_img = jQuery(theMainImage_obj).infos();
+
+
+      } else if (Type_Img == "map") {
 
         infos_map = jQuery("#mapPicture").infos();
@@ -1867,13 +1533,13 @@
 
         jQuery("#map").css({ left: marge_left + "px", padding: "0px",
-            marginLeft: "0px",
-            marginRight: "4px",
-            marginTop: "0px",
-            marginBottom: "0px",
-            position: "relative"
+          marginLeft: "0px",
+          marginRight: "4px",
+          marginTop: "0px",
+          marginBottom: "0px",
+          position: "relative"
         });
 
-        The_MainImage = jQuery("#map");
-        infos_img = jQuery(The_MainImage).infos();
+        theMainImage_obj = "#map";
+        infos_img = jQuery(theMainImage_obj).infos();
 
 
@@ -1887,5 +1553,5 @@
         }
 
-        if (tp!=undefined) {
+        if (tp != undefined) {
           if (obj_charlie.length > 0)
             tp = jQuery("object").attr("type") || jQuery("object").prop("type");
@@ -1894,5 +1560,5 @@
         }
 
-     if (tp == 'application/x-shockwave-flash') {
+        if (tp == 'application/x-shockwave-flash') {
           jQuery("#charlie").css({
             paddingTop: "0px",
@@ -1902,86 +1568,82 @@
           });
         } else {
-        
-        }
-
-        var MainImage = jQuery("#theMainImage");
+
+        }
+
+        var MainImage = jQuery(theMainImage_obj);
 
         if (MainImage.length == 0) {
-          The_MainImage = jQuery("#charlie");
-          infos_img = jQuery(The_MainImage).infos();
+          theMainImage_obj = "#charlie";
+          infos_img = jQuery(theMainImage_obj).infos();
         } else {
-          The_MainImage = jQuery("#theMainImage");
-          infos_img = jQuery(The_MainImage).infos();
-          
-        }
- 
- 
-    } else if (jQuery(Parent + " embed").length > 0) {
-    if (jQuery("#theMainImage").lenght == 0) {
-      The_MainImage = jQuery(Parent + " embed");
-      infos_img = jQuery(The_MainImage).infos();
-      jQuery(Parent + " embed").width({ width: infos_img.width + "px", height: infos_img.height + "px" });
-    } else {
-      The_MainImage = jQuery("#theMainImage");
-      infos_img = jQuery(The_MainImage).infos();
-      Type_Img == "charlie"
-      if (infos_img.width == 0) {
-        The_MainImage = jQuery("#theMainImage");
-        infos_img = jQuery(The_MainImage).infos();
-
-      }
-    }
-
-    } else if (Type_Img == "pamoorama") {
+
+          infos_img = jQuery(theMainImage_obj).infos();
+
+        }
+
+
+      } else if (jQuery("#theImage" + " embed").length > 0) {
+        if (jQuery(theMainImage_obj).lenght == 0) {
+          theMainImage_obj = "#theImage" + " embed";
+          infos_img = jQuery(theMainImage_obj).infos();
+          jQuery("#theImage" + " embed").width({ width: infos_img.width + "px", height: infos_img.height + "px" });
+        } else {
+
+          infos_img = jQuery(theMainImage_obj).infos();
+          Type_Img == "charlie"
+          if (infos_img.width == 0) {
+
+            infos_img = jQuery(theMainImage_obj).infos();
+
+          }
+        }
+
+      } else if (Type_Img == "pamoorama") {
         if (!nopano) {
-            Wait_pamoorama();
-            return infos_description;
-        }
-        The_MainImage = jQuery("#pamoorama");
-        infos_img = jQuery(The_MainImage).infos();
+          Wait_pamoorama();
+        }
+        infos_img = jQuery(theMainImage_obj).infos();
         infos_footer = jQuery("#pamoorama_footer").infos();
-        infos_img.height = parseInt(img_reelle.height) + parseInt(infos_footer.height);
+
+        infos_img.height += parseInt(infos_img.height) + parseInt(infos_footer.height);
 
       } else {
-        var MainImage = jQuery("#theMainImage");
+        var MainImage = jQuery(theMainImage_obj);
 
         if (MainImage.length == 0) {
-          The_MainImage = jQuery(Parent + " img[alt]");
+          theMainImage_obj = "#theImage" + " img[alt]";
         } else {
-          The_MainImage = MainImage;   
-        }
-
-      
-        if (!The_MainImage)
-            The_MainImage = jQuery(Parent);   // sans img ??
-        if (The_MainImage.length > 1) {
-        The_MainImage = The_MainImage[0];
-          }
-
-        infos_img = jQuery(The_MainImage).infos();
-    }
-    //=====================================================================================
-
-    switch (infos_img.position) {
+
+        }
+
+
+        if (!theMainImage_obj)
+          theMainImage_obj = "#theImage";   // sans img ??
+
+        infos_img = jQuery(theMainImage_obj).infos();
+      }
+      //=====================================================================================
+
+      switch (infos_img.position) {
         case "relative":
-            break;
+          break;
         case "static":
-            break;
+          break;
         case "absolute":
-            break;
+          break;
         case "":
-            break;
+          break;
         default:
-            break;
-    }
-
-    infos_description.marge = {
+          break;
+      }
+
+      infos_description.marge = {
         bottom: infos_img.padding.bottom + infos_img.margin.bottom + infos_img.borderwidth.bottom,
         top: infos_img.padding.top + infos_img.borderwidth.top + infos_img.margin.top
-    }
-
-    if (llgboframe.height > 0) infos_img = llgboframe; // format de l'image+largeur du cadre
-
-    if (theme.match(RegExp("luciano", "g"))) {
+      }
+
+      if (infos_llgbo.height > 0) infos_img = infos_llgbo; // format de l'image+largeur du cadre
+
+      if (theme.match(RegExp("luciano", "g"))) {
 
         infos_theImgContainer = jQuery("#imageContainer").infos();
@@ -1991,35 +1653,35 @@
 
         if (infos_slidshowToolBar.height > 0) {
-            correction = (infos_slidshowToolBar.height);
-            infos_description.top = infos_img.bottom;
-            infos_description.bottom = jQuery("#copyright").infos().top;
+          correction = (infos_slidshowToolBar.height);
+          infos_description.top = infos_img.bottom;
+          infos_description.bottom = jQuery("#copyright").infos().top;
         }
 
         //=========================================================
-    } else if (theme.match(RegExp("stripped", "gi"))) {
+      } else if (theme.match(RegExp("stripped", "gi"))) {
         //options.imageAutosize
-          //options.imageMargin
-          jQuery("#content").css({paddingTop:"5px"});
-    infos_content = jQuery("#content").infos();
+        //options.imageMargin
+        jQuery("#content").css({ paddingTop: "5px" });
+        infos_content = jQuery("#content").infos();
         if (options.imageAutosizeTitle == false) {
-            infos_description.top =   infos_theImageBox.bottom ;
-
-            infos_description.bottom =infos_HeaderBar.margin.top+ infos_description.top +
-                                    infos_description.borderwidth.top +
-                                    infos_description.borderwidth.bottom +
-                                      options.imageAutosizeMargin*2 +
-                                    (marges_llgbo / 2)+4;
+          infos_description.top = infos_theImageBox.bottom;
+
+          infos_description.bottom = infos_HeaderBar.margin.top + infos_description.top +
+                                            infos_description.borderwidth.top +
+                                            infos_description.borderwidth.bottom +
+                                              options.imageAutosizeMargin * 2 +
+                                            (marges_llgbo / 2) + 4;
 
         } else {
 
 
-            infos_description.top = infos_theImageBox.bottom -
-                        infos_content.top +
-                        options.imageAutosizeMargin * 2  +
-                        (marges_llgbo / 2)
-                                ;
-            infos_description.bottom = jQuery("#tabZone").infos().top +
-                        infos_theImageAndTitle.margin.top;
-           if (msie == true) infos_description.bottom -= 4;
+          infos_description.top = infos_theImageBox.bottom -
+                                infos_content.top +
+                                options.imageAutosizeMargin * 2 +
+                                (marges_llgbo / 2)
+                                        ;
+          infos_description.bottom = jQuery("#tabZone").infos().top +
+                                infos_theImageAndTitle.margin.top;
+          if (msie == true) infos_description.bottom -= 4;
         };
         check_desc_v = true;
@@ -2030,58 +1692,86 @@
         }
         infos_description.bottom = infos_theImage.bottom; //482
-        infos_description.top = infos_img.height + infos_theImage.top ; //410+62
+        infos_description.top = infos_img.height + infos_theImage.top; //410+62
         // infos_description.bottom -= infos_img.top;
+      }
+      //
+
+      infos_description.height = infos_description.bottom - infos_description.top;
+
+      if (check_desc_v == false) {
+        infos_description.height = 0;
+      }
+
+      Debug_pos();
+
+      //cl_visible=false ;
+      return infos_description;
+    } //infos_Description_f
+
+    //=======================================================================================
+    Debug_info = function (index, infos, nom) {
+      if (infos.height > 0) {
+        message = browser.browser + " -- > Info : " + nom + " " + infos.id + "\n" +
+                         "Info nodeName: " + infos.nodeName + "\n" +
+                         "Info width: " + infos.width + "\n" +
+                         "Info height: " + infos.height + "\n" +
+                         "Info top: " + infos.top + "\n" +
+                         "Info left: " + infos.left + "\n" +
+                         "Info position: " + infos.position + "\n";
+        myDebug = { id: "Debug" + index, texte: message,
+          css: {
+            color: "black",
+            opacity: "0.5",
+            position: "absolute",
+            height: infos.height || 100 + "px",
+            width: infos.width || 300 + "px",
+            left: infos.left || 0 + "px",
+            border: "solid 1px green",
+            top: infos.top + "px"
+          }
+        }
+        return myDebug;
+      } else {
+        if (typeof old_messages == "undefined") {
+          old_messages = new Array();
+
+        }
+        if (infos != "" && infos != "undefined") {
+          nc0 = old_messages[index];
+
+          if (typeof nc0 != "undefined") {
+            nc0 = old_messages[index].toString().split("<br />");
+            if (nc0.length > 3) nc0.shift();
+
+            old_messages[index] = nc0.join("<br />");
+          }
+          old_messages[index] += " : " + nom + " -- > " + infos + "<br />";
+
+          message = browser.browser + old_messages[index];
+
+          myDebug = { id: "Debug" + index, texte: message,
+            css: {
+              color: "black",
+              opacity: "1.0",
+              position: "absolute",
+              align: "left",
+              height: 100 + "px",
+              width: 800 + "px",
+              left: 300 + "px",
+              border: "solid 1px green",
+              top: 0 + "px"
+            }
+          }
+        }
+
+        return myDebug;
+      }
+
+
     }
-    //
-
-    infos_description.height =   infos_description.bottom - infos_description.top;
-
-    if (check_desc_v == false) {
-        infos_description.height = 0;
-    }
-
-    Debug_pos();
-
-    //cl_visible=false ;
-    return infos_description;
-}
-
-//====================================================
-function Debug_info(index, infos, nom) {
-
-    if (infos.height > 0) {
-
-        message = browser.browser + " -- > Info : " + nom + " " + infos.id + "\n" +
-                 "Info nodeName: " + infos.nodeName + "\n" +
-                 "Info width: " + infos.width + "\n" +
-                 "Info height: " + infos.height + "\n" +
-                 "Info top: " + infos.top + "\n" +
-                 "Info left: " + infos.left + "\n" +
-                 "Info position: " + infos.position + "\n";
-
-        myDebug = { id: "Debug" + index, texte: message,
-            css: {
-                color: "black",
-                opacity: "0.5",
-                position: "absolute",
-                height: infos.height || 100 + "px",
-                width: infos.width || 300 + "px",
-                left: infos.left || 0 + "px",
-                border: "solid 1px green",
-                top: infos.top + "px"
-
-            }
-        }
-        return myDebug;
-    } else {
-        return null;
-    }
-
-
-}
-//====================================================
-function Debug_pos() {
-  return;
-    if (DEBUG_autosize == "true") {
+    //====================================================
+    function Debug_pos() {
+      return;
+      if (DEBUG_autosize == "true") {
 
         jQuery("[id ^='Debug']").show();
